WinNT.TOKEN_PRIMARY_GROUP (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: TOKEN_PRIMARY_GROUP

Package com.sun.jna.platform.win32

# Class WinNT.TOKEN_PRIMARY_GROUP

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.TOKEN_PRIMARY_GROUP

Enclosing interface:
  WinNT

@FieldOrder("PrimaryGroup") public static class WinNT.TOKEN_PRIMARY_GROUP extends Structure
The TOKEN_PRIMARY_GROUP structure specifies a group security identifier (SID) for an access token.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.PSID.ByReference`
  `PrimaryGroup`
  A pointer to a SID structure representing a group that will become the primary group of any objects created by a process using this access token.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TOKEN_PRIMARY_GROUP()`
  `TOKEN_PRIMARY_GROUP(int size)`
  `TOKEN_PRIMARY_GROUP(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PrimaryGroup

    public WinNT.PSID.ByReference PrimaryGroup
    A pointer to a SID structure representing a group that will become the primary group of any objects created by a process using this access token. The SID must be one of the group SIDs already in the token.

- ## Constructor Details

  - ### TOKEN_PRIMARY_GROUP

    public TOKEN_PRIMARY_GROUP()

  - ### TOKEN_PRIMARY_GROUP

    public TOKEN_PRIMARY_GROUP(Pointer memory)

  - ### TOKEN_PRIMARY_GROUP

    public TOKEN_PRIMARY_GROUP(int size)